> For the complete documentation index, see [llms.txt](https://docs.datapancake.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.datapancake.com/guides/how-to-guides-ui/modify-enabled-features-for-a-data-source.md).

# Modify Enabled Features for a Data Source

Enable or disable the Pipeline Designer, SQL Code Generation, Security Policy Integration, Data Dictionary Builder, and Semantic Model Generator as needed for each data source.

### 1. Navigate to the "Data Sources" page

![](https://ajeuwbhvhr.cloudimg.io/https://colony-recorder.s3.amazonaws.com/files/2025-06-11/0a582795-83ee-48ce-8881-35f9f2255f32/ascreenshot.jpeg?tl_px=0,0\&br_px=1376,769\&force_format=jpeg\&q=100\&width=1120.0\&wat=1\&wat_opacity=1\&wat_gravity=northwest\&wat_url=https://colony-recorder.s3.amazonaws.com/images/watermarks/FB923C_standard.png\&wat_pad=65,200)

### 2. Select your data source

![](https://ajeuwbhvhr.cloudimg.io/https://colony-recorder.s3.amazonaws.com/files/2025-06-11/01e72b52-e738-4698-a798-8a87580b6eb5/ascreenshot.jpeg?tl_px=0,61\&br_px=1376,830\&force_format=jpeg\&q=100\&width=1120.0\&wat=1\&wat_opacity=1\&wat_gravity=northwest\&wat_url=https://colony-recorder.s3.amazonaws.com/images/watermarks/FB923C_standard.png\&wat_pad=423,277)

### 3. Click "Enable Feature Selection"

{% hint style="success" %}
**DataPancake has a value-based pricing model for each feature selected:**

**Pay per attribute, per month used.**

All selected services will generate a unique billing event for the number of attributes contained in the object connected to this data source for each month used.

You are not charged for months where DataPancake is not utilized.

Visit our [pricing page](https://www.datapancake.com/pricing) for more details and our pricing calculator.
{% endhint %}

![](https://ajeuwbhvhr.cloudimg.io/https://colony-recorder.s3.amazonaws.com/files/2025-06-11/9b0207db-e29d-495e-b774-c00890ae23f2/ascreenshot.jpeg?tl_px=164,223\&br_px=1541,993\&force_format=jpeg\&q=100\&width=1120.0\&wat=1\&wat_opacity=1\&wat_gravity=northwest\&wat_url=https://colony-recorder.s3.amazonaws.com/images/watermarks/FB923C_standard.png\&wat_pad=690,297)

### 4. Check the features you want to enable or disable

Some features depend on other features and will be automatically selected if required.

![](https://ajeuwbhvhr.cloudimg.io/https://colony-recorder.s3.amazonaws.com/files/2025-06-11/d5f7bddc-5ff8-4bf6-99da-0a295d329ac6/ascreenshot.jpeg?tl_px=164,67\&br_px=1541,836\&force_format=jpeg\&q=100\&width=1120.0\&wat=1\&wat_opacity=1\&wat_gravity=northwest\&wat_url=https://colony-recorder.s3.amazonaws.com/images/watermarks/FB923C_standard.png\&wat_pad=889,276)

### 5. Click the "Save Data Source" button

You will need to scroll down near the bottom of the page to find the save button.

![](https://ajeuwbhvhr.cloudimg.io/https://colony-recorder.s3.amazonaws.com/files/2025-06-11/7e3bedb1-7015-4942-a840-3434d1b8db90/ascreenshot.jpeg?tl_px=0,223\&br_px=1376,993\&force_format=jpeg\&q=100\&width=1120.0\&wat=1\&wat_opacity=1\&wat_gravity=northwest\&wat_url=https://colony-recorder.s3.amazonaws.com/images/watermarks/FB923C_standard.png\&wat_pad=402,387)

### 6. Verify the save completed successfully.

![](https://ajeuwbhvhr.cloudimg.io/https://colony-recorder.s3.amazonaws.com/files/2025-06-11/2c210d97-9275-4a9d-98d2-e005a7182d3b/ascreenshot.jpeg?tl_px=164,0\&br_px=1541,769\&force_format=jpeg\&q=100\&width=1120.0\&wat=1\&wat_opacity=1\&wat_gravity=northwest\&wat_url=https://colony-recorder.s3.amazonaws.com/images/watermarks/FB923C_standard.png\&wat_pad=928,104)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.datapancake.com/guides/how-to-guides-ui/modify-enabled-features-for-a-data-source.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
